Subject: [bmwg] Delay definition in the dsmterm draft

From: sunil kalidindi <[email-masked]>
Date: Tue, 25 Mar 2003 00:03:29 -0800 (PST)

As the co-author of previous work done in the IPPM WG
defining one-way delay and other metrics, I find some
of the new terminology being proposed in the dsmterm
document very confusing and inconsistent with prior
work done both in the BMWG and the IPPM WG.

Section 3.2.4 in the dsmterm document defines "Delay".
I find the following problems with it.

1)  the document states that the distinction between
"Delay" and the definition "latency" is that "Delay"
can be measured at any offered load while "latency" is
limited to measurement throughput.

This seems to be incorrect as I don't see this in the
definition of "latency" is RFC 1242.

2) the document defined "delay" as a LILO measurement
and suggests that it is better than LIFO & FILO
measurements defined in prior RFCs as it more closely
"simulates" how a DUT processes a IP datagram.

First, the FILO method discussed in RFC 2679, is in
the context of a network measurement NOT a DUT
measurement. RFC 2679 is looking at a network cloud.
In that context FILO is the appropriate measurement. 

Second, even assuming LILO is a more realistic
measurement, I dont know how that necessitates a new
definition. And if everyone thinks we need a variation
of the term "latency" for LILO, we should certainly be
using a term that is different than "Delay".

The term "delay" is a very generic term widely used
elsewhere and by re-defining it as a LILO version of
"latency" will cause a lot of confusion.

3) the document suggests the proposed "delay" is NOT
going to consider the link-layer overhead.

I dont see *why*. It doesn't seem to serve any
real-world purpose. Do we ever NOT have a link-layer?

Another less critical error :

While item 5) in Section 3.2.4 is a valid statement,
it doesn't seem to belong in the discussion under
"Delay differs from latency [Br91] and one-way delay
[Al99] in several key regards:". 

It clearly has nothing to do with what the discussion
is about i.e. it doesn't explain why the proposed
definition of "delay" is different from "latency" or
"one-way delay".

Perhaps it should be moved to a "Notes" section.

Thanks,
- Sunil

__________________________________________________
Do you Yahoo!?
Yahoo! Platinum - Watch CBS' NCAA March Madness, live on your desktop!
http://platinum.yahoo.com
_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg